## dnf-plugins-core 4.3.1

=== CMakeLists.txt ===
PROJECT (dnf-plugins-core NONE)
CMAKE_MINIMUM_REQUIRED (VERSION 2.4)

if (NOT WITHOUT_LOCAL)
    set (WITHOUT_LOCAL "0")
endif()

IF (NOT PYTHON_DESIRED)
    FIND_PACKAGE (PythonInterp REQUIRED)
ELSEIF (${PYTHON_DESIRED} STREQUAL "2")
    FIND_PACKAGE (PythonInterp 2 EXACT REQUIRED)
ELSEIF (${PYTHON_DESIRED} STREQUAL "3")
    FIND_PACKAGE (PythonInterp 3 EXACT REQUIRED)
ELSEIF (EXISTS ${PYTHON_DESIRED})
    SET (PYTHON_EXECUTABLE ${PYTHON_DESIRED})
    FIND_PACKAGE (PythonInterp REQUIRED)
ELSE ()
    MESSAGE (FATAL_ERROR "Invalid PYTHON_DESIRED value: " ${PYTHON_DESIRED})
ENDIF()

EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from sysconfig import get_path; stdout.write(get_path('purelib'))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
MESSAGE(STATUS "Python install dir is ${PYTHON_INSTALL_DIR}")

SET (SYSCONFDIR /etc)

ADD_SUBDIRECTORY (libexec)
ADD_SUBDIRECTORY (doc)
ADD_SUBDIRECTORY (etc)
ADD_SUBDIRECTORY (plugins)
ADD_SUBDIRECTORY (po)

ENABLE_TESTING()
ADD_SUBDIRECTORY (tests)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/libexec/dnf-utils.in ${CMAKE_SOURCE_DIR}/libexec/dnf-utils-${PYTHON_VERSION_MAJOR} @ONLY)

=== doc/CMakeLists.txt ===
# html and man documentation are separate targets, apparently there's no way to
# tell sphinx-build to do them both in one go:

if (${PYTHON_VERSION_MAJOR} STREQUAL "2")
    SET(SPHINX_BUILD_NAME "sphinx-build")
else()
    SET(SPHINX_BUILD_NAME "sphinx-build-3")
endif()

ADD_CUSTOM_TARGET (doc-html
		  PYTHONPATH=${CMAKE_SOURCE_DIR} ${SPHINX_BUILD_NAME} -b html
		  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
		  COMMENT "Building html documentation")
ADD_CUSTOM_TARGET (doc-man
		  PYTHONPATH=${CMAKE_SOURCE_DIR} ${SPHINX_BUILD_NAME} -b man
		  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
		  COMMENT "Building manpage documentation")
ADD_CUSTOM_TARGET (doc)
ADD_DEPENDENCIES (doc doc-html doc-man)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf-builddep.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-changelog.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-config-manager.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-copr.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-debug.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-debuginfo-install.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-download.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-generate_completion_cache.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-groups-manager.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-leaves.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-modulesync.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-needs-restarting.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-repoclosure.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-repodiff.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-repograph.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-repomanage.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-reposync.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-post-transaction-actions.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-show-leaves.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-versionlock.8
    ${CMAKE_CURRENT_BINARY_DIR}/yum-copr.8
    ${CMAKE_CURRENT_BINARY_DIR}/yum-versionlock.8
	DESTINATION share/man/man8)
if (${PYTHON_VERSION_MAJOR} STREQUAL "2")
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf-migrate.8
        DESTINATION share/man/man8)
endif()

if (${WITHOUT_LOCAL} STREQUAL "0")
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf-local.8
	DESTINATION share/man/man8)
endif()

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/debuginfo-install.1
    ${CMAKE_CURRENT_BINARY_DIR}/needs-restarting.1
    ${CMAKE_CURRENT_BINARY_DIR}/repo-graph.1
    ${CMAKE_CURRENT_BINARY_DIR}/repoclosure.1
    ${CMAKE_CURRENT_BINARY_DIR}/repomanage.1
    ${CMAKE_CURRENT_BINARY_DIR}/repodiff.1
    ${CMAKE_CURRENT_BINARY_DIR}/reposync.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-builddep.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-changelog.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-config-manager.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-debug-dump.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-debug-restore.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-groups-manager.1
    ${CMAKE_CURRENT_BINARY_DIR}/yumdownloader.1
    ${CMAKE_CURRENT_BINARY_DIR}/package-cleanup.1
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-utils.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-utils.1
	DESTINATION share/man/man1)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/yum-versionlock.conf.5
	DESTINATION share/man/man5)

=== plugins/CMakeLists.txt ===
INSTALL (FILES builddep.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES changelog.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES debug.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES debuginfo-install.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES config_manager.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES copr.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES download.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES generate_completion_cache.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES groups_manager.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES leaves.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
if (${WITHOUT_LOCAL} STREQUAL "0")
INSTALL (FILES local.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
endif()
if (${PYTHON_VERSION_MAJOR} STREQUAL "2")
INSTALL (FILES migrate.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
endif()
INSTALL (FILES needs_restarting.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES post-transaction-actions.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES repoclosure.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES repodiff.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES repograph.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES repomanage.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES reposync.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES show_leaves.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES modulesync.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
INSTALL (FILES versionlock.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)

ADD_SUBDIRECTORY (dnfpluginscore)

=== etc/dnf/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY (copr.d)
ADD_SUBDIRECTORY (post-transaction-actions.d)
INSTALL (FILES copr.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES debuginfo-install.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
if (${WITHOUT_LOCAL} STREQUAL "0")
INSTALL (FILES local.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
endif()
INSTALL (FILES versionlock.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES versionlock.list DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES post-transaction-actions.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)

=== etc/dnf/plugins/copr.d/CMakeLists.txt ===
INSTALL (DIRECTORY . DESTINATION ${SYSCONFDIR}/dnf/plugins/copr.d FILES_MATCHING PATTERN "(NONE)")

=== debian/changelog ===
dnf-plugins-core (4.3.1-3) unstable; urgency=medium

  * d/control: depend on required modules explictly (Closes: #1029290)
  * add patch to make reposync compatible with older dnf (Closes: #1029294)

 -- Aron Xu <aron@debian.org>  Sun, 22 Jan 2023 19:21:34 +0800

dnf-plugins-core (4.3.1-2) unstable; urgency=medium

  * Breaks+Replaces: zypper (Closes: #1028085)
  * Update std-ver to 4.6.2, no changes needed
  * Add header for sphinx-doc-path.patch
  * Add Bug-Database field to d/upstream/metadata
  * Fix typo in d/copyright

 -- Aron Xu <aron@debian.org>  Mon, 09 Jan 2023 13:04:31 +0800

dnf-plugins-core (4.3.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sat, 07 Jan 2023 18:33:20 +0800

dnf-plugins-core (4.3.1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #989900).

 -- Aron Xu <aron@debian.org>  Tue, 06 Dec 2022 22:42:18 +0800

=== debian/control ===
Source: dnf-plugins-core
Section: admin
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 gettext,
 python3,
 python3-dnf,
 python3-sphinx,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/rpm-software-management/dnf-plugins-core
Vcs-Browser: https://salsa.debian.org/debian/dnf-plugins-core
Vcs-Git: https://salsa.debian.org/debian/dnf-plugins-core.git

Package: dnf-plugins-core
Architecture: all
Multi-Arch: foreign
Depends:
 dnf,
 python3-dateutil,
 python3-dbus,
 python3-dnf,
 python3-hawkey,
 python3-libcomps,
 python3-libdnf,
 python3-rpm,
 ${misc:Depends},
 ${python3:Depends},
Breaks: zypper
Replaces: zypper
Description: Core plugins for DNF, the Dandified Yum package manager
 This package enhances DNF with builddep, config-manager, copr, debug,
 debuginfo-install, download, needs-restarting, groups-manager, repoclosure,
 repograph, repomanage, reposync, changelog and repodiff commands.
 .
 Additionally provides generate_completion_cache passive plugin.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- -DPYTHON_DESIRED:STRING=3 -DWITH_MAN:BOOL=ON 

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build
	find . -name *.pyc -delete
	rm -f libexec/dnf-utils-3

# Need a "working" terminal environment to pass tests.
# Maybe rip that out.
override_dh_auto_test:

## dnf-plugins-core 4.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 PROJECT (dnf-plugins-core NONE)
 CMAKE_MINIMUM_REQUIRED (VERSION 2.4)
+
+if (NOT WITHOUT_DEBUG)
+    set (WITHOUT_DEBUG "0")
+endif()
 
 if (NOT WITHOUT_LOCAL)
     set (WITHOUT_LOCAL "0")
@@ -23,6 +27,21 @@
 
 SET (SYSCONFDIR /etc)
 
+find_package (PkgConfig)
+
+if (PKG_CONFIG_FOUND)
+  pkg_search_module (SYSTEMD systemd)
+  if (SYSTEMD_FOUND)
+    execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=systemdsystemunitdir systemd
+                     OUTPUT_VARIABLE SYSTEMD_DIR
+                     OUTPUT_STRIP_TRAILING_WHITESPACE)
+  endif ()
+endif()
+
+if (NOT SYSTEMD_DIR)
+  set (SYSTEMD_DIR /usr/lib/systemd/system)
+endif ()
+
 ADD_SUBDIRECTORY (libexec)
 ADD_SUBDIRECTORY (doc)
 ADD_SUBDIRECTORY (etc)

=== debian/changelog ===
dnf-plugins-core (4.9.0-1) unstable; urgency=medium

  [ Cyril Brulebois ]
  * doc/CMakeLists.txt: Add Dependency on doc-man for doc-html, to
    avoid race conditions when building from the same source files.
    (Closes: #1029809)

  [ Aron Xu ]
  * New upstream version 4.9.0
  * d/control: B-D on libdnf-dev (>= 0.73.0~)
  * d/control: set pkg-rpm-team as Maintainer and update VCS URLs

 -- Aron Xu <aron@debian.org>  Thu, 22 Aug 2024 22:02:01 +0800

## dnf-plugins-core 4.10.0

=== etc/CMakeLists.txt ===
ADD_SUBDIRECTORY (dnf)
ADD_SUBDIRECTORY (systemd)

=== etc/dnf/CMakeLists.txt ===
ADD_SUBDIRECTORY (protected.d)
ADD_SUBDIRECTORY (plugins)

=== debian/changelog ===
dnf-plugins-core (4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0

 -- Aron Xu <aron@debian.org>  Wed, 12 Feb 2025 18:03:18 +0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: dnf-plugins-core
 Section: admin
 Priority: optional
-Maintainer: Aron Xu <aron@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Aron Xu <aron@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-python,
  gettext,
+ libdnf-dev (>= 0.73.0~),
  python3,
  python3-dnf,
  python3-sphinx,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/dnf-plugins-core
-Vcs-Browser: https://salsa.debian.org/debian/dnf-plugins-core
-Vcs-Git: https://salsa.debian.org/debian/dnf-plugins-core.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/dnf-plugins-core
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/dnf-plugins-core.git
 
 Package: dnf-plugins-core
 Architecture: all

## dnf-plugins-core 4.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,9 @@
     MESSAGE (FATAL_ERROR "Invalid PYTHON_DESIRED value: " ${PYTHON_DESIRED})
 ENDIF()
 
-EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from sysconfig import get_path; stdout.write(get_path('purelib'))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
+IF (NOT PYTHON_INSTALL_DIR)
+    EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from sysconfig import get_path; stdout.write(get_path('purelib'))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
+ENDIF()
 MESSAGE(STATUS "Python install dir is ${PYTHON_INSTALL_DIR}")
 
 SET (SYSCONFDIR /etc)

=== doc/CMakeLists.txt ===
# html and man documentation are separate targets, apparently there's no way to
# tell sphinx-build to do them both in one go:

if (${PYTHON_VERSION_MAJOR} STREQUAL "2")
    SET(SPHINX_BUILD_NAME "sphinx-build")
else()
    SET(SPHINX_BUILD_NAME "sphinx-build-3")
endif()

ADD_CUSTOM_TARGET (doc-html
		  PYTHONPATH=${CMAKE_SOURCE_DIR} ${SPHINX_BUILD_NAME} -b html
		  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
		  COMMENT "Building html documentation")
ADD_CUSTOM_TARGET (doc-man
		  PYTHONPATH=${CMAKE_SOURCE_DIR} ${SPHINX_BUILD_NAME} -b man
		  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
		  COMMENT "Building manpage documentation")
ADD_CUSTOM_TARGET (doc)
ADD_DEPENDENCIES (doc doc-html doc-man)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf4-builddep.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-changelog.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-config-manager.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-copr.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-debuginfo-install.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-download.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-expired-pgp-keys.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-generate_completion_cache.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-groups-manager.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-leaves.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-modulesync.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-needs-restarting.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-repoclosure.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-repodiff.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-repograph.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-repomanage.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-reposync.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-post-transaction-actions.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-pre-transaction-actions.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-show-leaves.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-system-upgrade.8
    ${CMAKE_CURRENT_BINARY_DIR}/dnf4-versionlock.8
    ${CMAKE_CURRENT_BINARY_DIR}/yum-copr.8
    ${CMAKE_CURRENT_BINARY_DIR}/yum-versionlock.8
	DESTINATION share/man/man8)
if (${PYTHON_VERSION_MAJOR} STREQUAL "2")
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf-migrate.8
        DESTINATION share/man/man8)
endif()

if (${WITHOUT_DEBUG} STREQUAL "0")
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf4-debug.8
	DESTINATION share/man/man8)
endif()

if (${WITHOUT_LOCAL} STREQUAL "0")
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf4-local.8
	DESTINATION share/man/man8)
endif()

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/debuginfo-install.1
    ${CMAKE_CURRENT_BINARY_DIR}/needs-restarting.1
    ${CMAKE_CURRENT_BINARY_DIR}/repo-graph.1
    ${CMAKE_CURRENT_BINARY_DIR}/repoclosure.1
    ${CMAKE_CURRENT_BINARY_DIR}/repomanage.1
    ${CMAKE_CURRENT_BINARY_DIR}/repodiff.1
    ${CMAKE_CURRENT_BINARY_DIR}/reposync.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-builddep.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-changelog.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-config-manager.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-groups-manager.1
    ${CMAKE_CURRENT_BINARY_DIR}/yumdownloader.1
    ${CMAKE_CURRENT_BINARY_DIR}/package-cleanup.1
    ${CMAKE_CURRENT_BINARY_DIR}/dnf-utils.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-utils.1
	DESTINATION share/man/man1)

if (${WITHOUT_DEBUG} STREQUAL "0")
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/yum-debug-dump.1
    ${CMAKE_CURRENT_BINARY_DIR}/yum-debug-restore.1
	DESTINATION share/man/man1)
endif()

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/yum-versionlock.conf.5
	DESTINATION share/man/man5)

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 INSTALL (FILES builddep.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES changelog.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
+if (${WITHOUT_DEBUG} STREQUAL "0")
 INSTALL (FILES debug.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
+endif()
 INSTALL (FILES debuginfo-install.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES config_manager.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES copr.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES download.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
+INSTALL (FILES expired-pgp-keys.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES generate_completion_cache.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES groups_manager.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES leaves.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
@@ -16,12 +19,14 @@
 endif()
 INSTALL (FILES needs_restarting.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES post-transaction-actions.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
+INSTALL (FILES pre-transaction-actions.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES repoclosure.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES repodiff.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES repograph.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES repomanage.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES reposync.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES show_leaves.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
+INSTALL (FILES system_upgrade.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES modulesync.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)
 INSTALL (FILES versionlock.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf-plugins)

=== po/CMakeLists.txt ===
# pulling translations from weblate

set(WEBLATE_REPO_URL "git@github.com:rpm-software-management/${PROJECT_NAME}-l10n.git")
set(WEBLATE_REPO_BRANCH "master")
set(WEBLATE_REPO_PATH ${CMAKE_CURRENT_BINARY_DIR}/tmp-weblate-repo)

find_package(Git)
find_package(Gettext)

if (GIT_FOUND)
    # detect current git branch
    execute_process(
        COMMAND ${GIT_EXECUTABLE} symbolic-ref --short -q HEAD
        COMMAND tr -d '[:space:]'
        OUTPUT_VARIABLE CURRENT_BRANCH
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )

    # output _weblate-clone is never created so the clonning of weblate repo is always processed
    # and fresh *.po files are used
    add_custom_command(OUTPUT _weblate-clone
        COMMENT "Clonning weblate repo"
        COMMAND ${CMAKE_COMMAND} -E remove_directory ${WEBLATE_REPO_PATH}
        COMMAND ${GIT_EXECUTABLE} clone --depth=1 -b ${WEBLATE_REPO_BRANCH} ${WEBLATE_REPO_URL} ${WEBLATE_REPO_PATH}
        BYPRODUCTS ${WEBLATE_REPO_PATH}
    )

    add_custom_target(gettext-update
        COMMENT "Updating translation files from weblate repo"

        COMMAND ${CMAKE_COMMAND} -E copy ${WEBLATE_REPO_PATH}/${CURRENT_BRANCH}/*.po .
        COMMAND ${CMAKE_COMMAND} -E copy ${WEBLATE_REPO_PATH}/${CURRENT_BRANCH}/${PROJECT_NAME}.pot .
        COMMAND ${WEBLATE_REPO_PATH}/script/sanitize_po_files.py *.po

        DEPENDS _weblate-clone

        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
endif()

add_custom_target(gettext-pot
    COMMENT "Generating fresh dnf.pot file from sources"

    COMMAND find ./plugins -iname '*.py' |
        xargs xgettext -F --from-code=UTF-8 --keyword=P_:1,2 --keyword=C_:1c,2 -c --output=${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pot

    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )


IF (GETTEXT_FOUND)
    # this process unfortunately reformats .po files so copy them
    FILE(GLOB POS ${CMAKE_CURRENT_SOURCE_DIR}/*.po)
    FILE(COPY ${POS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    FILE(GLOB POS_BIN ${CMAKE_CURRENT_BINARY_DIR}/*.po)
    GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pot ALL ${POS_BIN})
ENDIF()

=== tests/CMakeLists.txt ===
ADD_TEST(test ${PYTHON_EXECUTABLE} -m unittest discover -t ${CMAKE_CURRENT_SOURCE_DIR}/.. -s ${CMAKE_CURRENT_SOURCE_DIR})

# ASAN_OPTIONS is for libdnf built with sanitizers, has no effect otherwise.
SET_PROPERTY(TEST test PROPERTY ENVIRONMENT "PYTHONPATH=${CMAKE_SOURCE_DIR}/plugins;ASAN_OPTIONS=verify_asan_link_order=0")

=== etc/systemd/CMakeLists.txt ===
INSTALL (FILES "dnf-system-upgrade.service" "dnf-system-upgrade-cleanup.service" DESTINATION ${SYSTEMD_DIR})

=== plugins/dnfpluginscore/CMakeLists.txt ===
FILE(GLOB dnfplugins_SRCS *.py)
INSTALL (FILES ${dnfplugins_SRCS} DESTINATION ${PYTHON_INSTALL_DIR}/dnfpluginscore)

=== etc/dnf/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY (copr.d)
ADD_SUBDIRECTORY (post-transaction-actions.d)
ADD_SUBDIRECTORY (pre-transaction-actions.d)
INSTALL (FILES copr.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES debuginfo-install.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES expired-pgp-keys.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
if (${WITHOUT_LOCAL} STREQUAL "0")
INSTALL (FILES local.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
endif()
INSTALL (FILES versionlock.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES versionlock.list DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES post-transaction-actions.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)
INSTALL (FILES pre-transaction-actions.conf DESTINATION ${SYSCONFDIR}/dnf/plugins)

=== etc/dnf/protected.d/CMakeLists.txt ===
# only create the empty directory:
INSTALL (DIRECTORY . DESTINATION ${SYSCONFDIR}/dnf/protected.d FILES_MATCHING PATTERN "(NONE)")

=== etc/dnf/plugins/post-transaction-actions.d/CMakeLists.txt ===
INSTALL (DIRECTORY . DESTINATION ${SYSCONFDIR}/dnf/plugins/post-transaction-actions.d FILES_MATCHING PATTERN "(NONE)")

=== etc/dnf/plugins/pre-transaction-actions.d/CMakeLists.txt ===
INSTALL (DIRECTORY . DESTINATION ${SYSCONFDIR}/dnf/plugins/pre-transaction-actions.d FILES_MATCHING PATTERN "(NONE)")

=== debian/changelog ===
dnf-plugins-core (4.10.1-5) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix build with cmake 4 (Closes: #1112852)

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Sep 2025 12:35:29 +0100

dnf-plugins-core (4.10.1-4) unstable; urgency=medium

  * Team upload.
  * d/rules: use execute_after
  * Do not enable/start dnf systemd services
  * Do not install needs-restarting manpage and drop breaks/replaces with
    zypper
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Jun 2025 14:24:55 +0100

dnf-plugins-core (4.10.1-3) unstable; urgency=medium

  * debian/tests: use correct target

 -- Aron Xu <aron@debian.org>  Mon, 19 May 2025 22:21:20 +0800

dnf-plugins-core (4.10.1-2) unstable; urgency=medium

  * d/tests/control: add @builddeps@

 -- Aron Xu <aron@debian.org>  Sun, 11 May 2025 13:34:45 +0800

dnf-plugins-core (4.10.1-1) unstable; urgency=medium

  * New upstream version 4.10.1
  * d/rules: enable tests
  * d/tests: add autopkgtest
  * d/rules: simplify rules

 -- Aron Xu <aron@debian.org>  Thu, 08 May 2025 14:39:05 +0800

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
  gettext,
  libdnf-dev (>= 0.73.0~),
  python3,
+ python3-dbus <!nocheck>,
  python3-dnf,
  python3-sphinx,
-Standards-Version: 4.6.2
+ python3-systemd <!nocheck>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/dnf-plugins-core
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/dnf-plugins-core
@@ -32,8 +34,6 @@
  python3-rpm,
  ${misc:Depends},
  ${python3:Depends},
-Breaks: zypper
-Replaces: zypper
 Description: Core plugins for DNF, the Dandified Yum package manager
  This package enhances DNF with builddep, config-manager, copr, debug,
  debuginfo-install, download, needs-restarting, groups-manager, repoclosure,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3 --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DPYTHON_DESIRED:STRING=3 -DWITH_MAN:BOOL=ON

override_dh_auto_build:
	dh_auto_build -- all doc

execute_after_dh_auto_clean:
	find . -name *.pyc -delete
	rm -f libexec/dnf-utils-3

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

execute_after_dh_auto_install:
	# Conflicts with zypper
	rm -f debian/dnf-plugins-core/usr/share/man/man1/needs-restarting.1*

=== debian/tests/control ===
Test-Command: ./debian/rules override_dh_auto_test
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(?:v|dnf-plugins-core\-)?(\d\S+)\.tar\.gz/dnf-plugins-core$1\.tar\.gz/ \
  https://github.com/rpm-software-management/dnf-plugins-core/tags .*/(\d\S+)\.tar\.gz
